%objective function for VAR
function obj = f_var_obj(bshort,svi,vi,rni,pii,gi,x,x1,eigconstraint);
% b omits the s column. put it in, thus automatically satislfying constraint. 
b = [bshort(:,1:svi-1) zeros(size(bshort,1),1) bshort(:,svi:end)];
b(:,svi) = -b(:,vi)+b(:,rni)-b(:,pii)-b(:,gi)+...
    [ 0 0 0 0 0 1 0 0]';
err = x1-x*b;
obj = 1/size(err,1)*sum(sum(err.*err)); % sum of squared residuals, over all equations
if eigconstraint; % penalize eigenvalues less than zero
    A = b(2:end,:)';
    [Q,L] = eig(A);
    L2 = diag(L);
    L2 = (L2<0).*L2; 
    obj = obj+1000*sum(L2.^2);
end;

