% A new program to make surplus plot, compare with BEA, made for fiscal
% theory book

clear all
close all


stdate = 1947; % choose sample. Growth rates start 1 period later. 1929 is min. Note other than 1947 will over write tables. 
enddate = 2018; % < 2018 look at old sample with new data
old_data=0;

 get_data_and_run_var;
 
 if 1
        figure;
        plot(yr_a,osy_a,'linewidth',2);
        hold on
        %plot(yr_a,gsy_a,'linewidth',2);
        plot((1947:2018)',s_y,'linewidth',2);
        plot(yr_a,sg_y,'linewidth',2);
        plot((1929:2018)',0*(1929:2018)','-k')
        %legend('Imputed public','imputed gross debt','BEA primary','BEA total')
        % no difference in current data
        legend('Imputed','BEA primary','BEA total','location','best')
        axis([-inf inf -0.4 0.2])
        title('Surplus/GDP ratio');
 end
 
 % for copying over to fiscal book 
 disp('yr  imputed, bea , primary bea, debt/gdp ')
 format shortG
disp( [(1947:2018)' 100*osy_a(find(yr_a==1947):end) 100*s_y 100*sg_y(find(yr_a==1947):end)  100*ovy_a(find(yr_a==1947):end) ])
 
 
 if 0 % copied from inflation_decomposition. Just helpful to make other pictures
     %with this data=
     set(0,'DefaultLegendAutoUpdate','off');
     svlin = figure;
     p2 = plot(datenum(yr_a,12,31) ,[ svt ],'linewidth',2);
     hold on;
     p3 = plot(datenum(yr_a,12,31) ,[ syt/exp(mean(vt))],'linewidth',2);
     p1 = plot(datenum(yr_a,12,31) ,[ svt_x ],'linewidth',2);
     p4 = plot(datenum(stdate,12,31)*[1;1],[0.3;-0.83],'--k');
     p5 = plot(datenum(yr_a,12,31),0*yr_a,'-k');
     %title('Surplus/value ratio')
     legend([p1 p2 p3],{'Linear, s_t','sv_t','sy_t/e^v'},'location','best')
     %legend('boxoff')
     recessionplot;
     % old axes, show wwii
     %axis([datenum(1929,21,31) datenum(2020,12,31) -0.85 0.3])
     axis([datenum(1929,21,31) datenum(2020,12,31) -0.35 0.2])
     datetick('x','keeplimits');
     xlabel('Date')
     ylabel('Surplus/value of debt');
     %print(svlin,'sv_linear_comparison.eps','-depsc');
 end