% arma_graph. Graphs simple surplus process MA

clear all
close all

omeg = 0.7; %0.7;
gam = 0.9; 
sig = 0.5; 
kap = 0.5; 
%kap = 100000; to produce flex price row of table. Over writes graphs!
rhoi = 0.9; 
rhos = 0.7; 
alph = 0.2; 

horiz = 100; 

eta = 1 + alph*(1/gam-1); 

s = zeros(horiz,1); 
for t = 1:horiz; 
    s(t) = (1-eta*rhos)*rhos^(t-1)-...
        alph/(eta+alph)*(1/(eta+alph))^(t-1); 
end;
s = 1/(1-(eta+alph)*rhos)*s; 
sp = cumsum(s);

figure
plot((1:25)', -s(1:25) , '-b','linewidth',2);
hold on
plot((1:25)',-sp(1:25),'--r','linewidth',2);
plot((1:25)',zeros(25,1),'-k'); 
axis([0 25 -1.6 0.15]); 
text(3,-0.6,'$$s_t$$','fontsize',20,'color','b','Interpreter','latex')
text(10,-1.2,'$$\sum \rho^t s_t$$','fontsize',20,'color','r','Interpreter','latex')
xlabel('Time')
ylabel('Response')
print -depsc2 MAresp.eps
