
% horizontal table format
if tex_files;
    if stdate == 1947;
        MFshock_ID = fopen('MFshock_new.tex','w');
    elseif stdate == 1930; 
        MFshock_ID = fopen('MFshock_new_full.tex','w');
    elseif stdate == 1980; 
        MFshock_ID = fopen('MFshock_new_80.tex','w');
    end
else
    MFshock_ID = 1;
end;
fprintf(MFshock_ID,'  \n');
%fprintf(MFshock_ID,'\\newcolumntype{Z}{>{\\centering\\arraybackslash}X}\n'); This was in, why? 
fprintf(MFshock_ID,'\\begin{table}[htb!]\n');
fprintf(MFshock_ID,'\\begin{center}\n');
%fprintf(MFshock_ID,'\\begin{tabularx}{\\textwidth}{lZZZZZZ}\n');
fprintf(MFshock_ID,'\\begin{tabular}{lcccccc}\n');
fprintf(MFshock_ID,[' \\multicolumn{7}{c}{ $\\sum_{j=0}^{\\infty}\\omega^{j} \\Delta E_{1}\\pi_{1+j} = $  ',...
    '$-\\sum_{j=0}^{\\infty}  \\Delta E_{1} s_{1+j} $  '...
    '$-\\sum_{j=0}^{\\infty}  \\Delta E_{1}  g_{1+j} $  '...
    '$+\\sum_{j=1}^{\\infty} (1 -\\omega^{j})\\Delta E_{1}( r_{1+j}^{n}-\\pi_{1+j})$}  \\\\ \n']);
fprintf(MFshock_ID,'    & $\\pi$ &=& $s$ & $g$ &  $ r^n-\\pi$ & \\\\ \n')
fprintf(MFshock_ID,'\\hline\n');
fprintf(MFshock_ID,'Inflation & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n', sumwpi, sums, sumg, sum1mwrnpi);
if do_long_inflation; 
    fprintf(MFshock_ID,'Long Inflation & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n', sumwpi_w, sums_w, sumg_w, sum1mwrnpi_w);
end; 
fprintf(MFshock_ID,'Recession & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n', sumwpi_g, sums_g, sumg_g, sum1mwrnpi_g);
fprintf(MFshock_ID,'Surplus  & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n', sumwpi_s, sums_s, sumg_s, sum1mwrnpi_s);
fprintf(MFshock_ID,'Disc. Rate & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n', sumwpi_r, sums_r, sumg_r, sum1mwrnpi_r);
fprintf(MFshock_ID,'Surplus, no i & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n', sumwpi_si, sums_si, sumg_si, sum1mwrnpi_si);
fprintf(MFshock_ID,'\\hline\n');
fprintf(MFshock_ID,'\\\\\n');
fprintf(MFshock_ID,[' \\multicolumn{7}{c} {$ \\Delta E_{1}\\pi_{1}  -\\Delta E_{1}  r_{1}^{n}=  '...
    '-\\sum_{j=0}^{\\infty}  \\Delta E_{1}s_{1+j}   '...
    '-\\sum_{j=0}^{\\infty} \\Delta E_{1} g_{1+j} ',...
    '+\\sum_{j=1}^{\\infty}  \\Delta E_{1}(r_{1+j}^{n}-\\pi_{1+j})$} \\\\ \n']);
fprintf(MFshock_ID,'   & $\\pi$ & $r^n$ &=& $s$ & $g$ & $r^n-\\pi$ \\\\ \n')
fprintf(MFshock_ID,'\\hline\n');
   
fprintf(MFshock_ID,'Inflation & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',  infl, rn,sums, sumg, sumrpi);
if do_long_inflation;
    fprintf(MFshock_ID,'Long Inflation & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n', infl_w, rn_w, sums_w, sumg_w, sumrpi_w);
end;
fprintf(MFshock_ID,'Recession & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n', infl_g, rn_g, sums_g, sumg_g, sumrpi_g);
fprintf(MFshock_ID,'Surplus  & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n', infl_s, rn_s, sums_s, sumg_s, sumrpi_s);
fprintf(MFshock_ID,'Disc. Rate & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n', infl_r, rn_r, sums_r, sumg_r, sumrpi_r);
fprintf(MFshock_ID,'Surplus, no i  & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n', infl_si, rn_si, sums_si, sumg_si, sumrpi_si);
fprintf(MFshock_ID,'\\hline\n');
fprintf(MFshock_ID,'\\\\\n');
fprintf(MFshock_ID,[' \\multicolumn{7}{c}{$ \\Delta E_{1}r_{1}^{n} =  '...
    '-\\sum_{j=1}^{\\infty}\\omega^{j}\\Delta E_{1} (r_{1+j}^{n}-\\pi_{1+j})'...
    '-\\sum_{j=1}^{\\infty}\\omega^{j}\\Delta E_{1}\\pi_{1+j} $} \\\\ \n']);
fprintf(MFshock_ID,'   & $r^n$ &=& $r^n-\\pi$ & $ \\pi$ & &\\\\ \n');
fprintf(MFshock_ID,' \\hline\n');

fprintf(MFshock_ID,' Inflation & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n', rn, sum1wrnpi, sum1wpi );
if do_long_inflation;
    fprintf(MFshock_ID,' Long Inflation & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n', rn_w, sum1wrnpi_w, sum1wpi_w );
end
fprintf(MFshock_ID,' Recession & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n', rn_g, sum1wrnpi_g, sum1wpi_g );
fprintf(MFshock_ID,' Surplus  & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n', rn_s, sum1wrnpi_s, sum1wpi_s );
fprintf(MFshock_ID,' Disc. Rate & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n', rn_r, sum1wrnpi_r, sum1wpi_r );
fprintf(MFshock_ID,' Surplus, no i  & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n', rn_si, sum1wrnpi_si, sum1wpi_si );
fprintf(MFshock_ID,' \\hline \\\\ \n');
fprintf(MFshock_ID,' \\end{tabular} \n');
%fprintf(MFshock_ID,' \\end{tabularx} \n');
if stdate == 1947;
    fprintf(MFshock_ID,['\\caption{Terms of the inflation and bond return identities. ' ...
        'The inflation shock is a 1 percent unexpected rise in inflation. ' ...
        'The recession shock is a 1 percent unexpected decline in inflation and growth. '...
        'The surplus shock is a 1 percent unexpected decline in the sum of current and future '...
        'surpluses. The discount rate shock is a 1 percent unexpected decline the sum of current '...
        'and future expected returns. The Surplus, no i shock holds the ' ...
        'interest rate constant for two years after a surplus shock. Sample 1947-2018\\label{MFshock}}\n']);
    %fprintf(MFshock_ID,['\\caption{Terms of the inflation and bond return identities. \\label{MFshock}}\n']);
elseif stdate == 1930; 
    fprintf(MFshock_ID,['\\caption{Terms of the inflation and bond return identities. Sample 1930-2018.  \\label{MFshock_full}}\n']);
elseif stdate == 1980; 
    fprintf(MFshock_ID,['\\caption{Terms of the inflation and bond return identities. Sample 1930-2018.  \\label{MFshock_80}}\n']);
end;  
fprintf(MFshock_ID,'\\end{center}\n');
fprintf(MFshock_ID,'\\end{table}\n');
if tex_files;
    fclose(MFshock_ID);
end;


% STANDARD ERRRORS
if (Ntrial>0);
    if tex_files 
        if (stdate == 1947);
            MFshock_ID = fopen('MFshock_new_se.tex','w');
        elseif (stdate == 1930);
            MFshock_ID = fopen('MFshock_new_se_30.tex','w');
        elseif (stdate == 1980);
            MFshock_ID = fopen('MFshock_new_se.tex','w');
        end
    else
        MFshock_ID = 1;
    end;
    fprintf(MFshock_ID,'\\begin{table}[htbp]\n');
    fprintf(MFshock_ID,'\\begin{center}\n');
%    fprintf(MFshock_ID,'\\begin{tabularx}{\\textwidth}{lZZZZZZ}\n');
    fprintf(MFshock_ID,'\\begin{tabular}{lcccccc}\n');
    fprintf(MFshock_ID,[' \\multicolumn{7}{c}{ $\\sum_{j=0}^{\\infty}\\omega^{j} \\Delta E_{1}\\pi_{1+j} = $  ',...
        '$-\\sum_{j=0}^{\\infty}  \\Delta E_{1} s_{1+j} $  '...
        '$-\\sum_{j=0}^{\\infty}  \\Delta E_{1}  g_{1+j} $  '...
        '$+\\sum_{j=1}^{\\infty} (1 -\\omega^{j})\\Delta E_{1}( r_{1+j}^{n}-\\pi_{1+j})$}  \\\\ \n']);
    fprintf(MFshock_ID,'    & $\\pi$ &=& $s$ & $g$ &  $ r^n-\\pi$ & \\\\ \n')
    fprintf(MFshock_ID,'\\hline\n');
    fprintf(MFshock_ID,'Inflation 25 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',      decomp_terms_25(1), decomp_terms_25(7),decomp_terms_25(8),decomp_terms_25(4));
    fprintf(MFshock_ID,'Inflation 75 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',      decomp_terms_75(1), decomp_terms_75(7),decomp_terms_75(8),decomp_terms_75(4));
    if do_long_inflation;
        fprintf(MFshock_ID,'Long Inflation 25 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n', decomp_w_terms_25(1), decomp_w_terms_25(7),decomp_w_terms_25(8),decomp_w_terms_25(4));
        fprintf(MFshock_ID,'Long Inflation 75 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n', decomp_w_terms_75(1), decomp_w_terms_75(7),decomp_w_terms_75(8),decomp_w_terms_75(4));
    end
    fprintf(MFshock_ID,'Recession 25 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',      decomp_g_terms_25(1), decomp_g_terms_25(7),decomp_g_terms_25(8),decomp_g_terms_25(4));
    fprintf(MFshock_ID,'Recession 75 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',      decomp_g_terms_75(1), decomp_g_terms_75(7),decomp_g_terms_75(8),decomp_g_terms_75(4));
    fprintf(MFshock_ID,'Surplus 25 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',        decomp_s_terms_25(1), decomp_s_terms_25(7),decomp_s_terms_25(8),decomp_s_terms_25(4));
    fprintf(MFshock_ID,'Surplus 75 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',        decomp_s_terms_75(1), decomp_s_terms_75(7),decomp_s_terms_75(8),decomp_s_terms_75(4));
    fprintf(MFshock_ID,'Disc. Rate 25 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',     decomp_r_terms_25(1), decomp_r_terms_25(7),decomp_r_terms_25(8),decomp_r_terms_25(4));
    fprintf(MFshock_ID,'Disc. Rate 75 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',     decomp_r_terms_75(1), decomp_r_terms_75(7),decomp_r_terms_75(8),decomp_r_terms_75(4));
       fprintf(MFshock_ID,'Surplus, no i 25 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',   decomp_si_terms_25(1), decomp_si_terms_25(7),decomp_si_terms_25(8),decomp_si_terms_25(4));
    fprintf(MFshock_ID,'Surplus, no i 75 \\%% & %8.2f &=& -(%8.2f) & -(%8.2f) & +(%8.2f) & \\\\\n',      decomp_si_terms_75(1), decomp_si_terms_75(7),decomp_si_terms_75(8),decomp_si_terms_75(4));
        
    fprintf(MFshock_ID,'\\hline\n');
    fprintf(MFshock_ID,'\\\\\n');
    
    fprintf(MFshock_ID,[' \\multicolumn{7}{c} {$ \\Delta E_{1}\\pi_{1}  -\\Delta E_{1}  r_{1}^{n}=  '...
        '-\\sum_{j=0}^{\\infty}  \\Delta E_{1}s_{1+j}   '...
        '-\\sum_{j=0}^{\\infty} \\Delta E_{1} g_{1+j} ',...
        '+\\sum_{j=1}^{\\infty}  \\Delta E_{1}(r_{1+j}^{n}-\\pi_{1+j})$} \\\\ \n']);
    fprintf(MFshock_ID,'   & $\\pi$ & $r^n$ &=& $s$ & $g$ & $r^n-\\pi$ \\\\ \n')
    fprintf(MFshock_ID,'\\hline\n');
    fprintf(MFshock_ID,'Inflation 25\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',      decomp_terms_25(5), decomp_terms_25(6), decomp_terms_25(7), decomp_terms_25(8), decomp_terms_25(9));
    fprintf(MFshock_ID,'Inflation 75\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',      decomp_terms_75(5), decomp_terms_75(6), decomp_terms_75(7), decomp_terms_75(8), decomp_terms_75(9));
    if do_long_inflation;
        fprintf(MFshock_ID,'Long Inflation 25\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n', decomp_w_terms_25(5), decomp_w_terms_25(6), decomp_w_terms_25(7), decomp_w_terms_25(8),decomp_w_terms_25(9));
        fprintf(MFshock_ID,'Long Inflation 75\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',decomp_w_terms_75(5), decomp_w_terms_75(6), decomp_w_terms_75(7), decomp_w_terms_75(8),decomp_w_terms_75(9));
    end
    fprintf(MFshock_ID,'Recession 25\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',      decomp_g_terms_25(5), decomp_g_terms_25(6), decomp_g_terms_25(7), decomp_g_terms_25(8),decomp_g_terms_25(9));
    fprintf(MFshock_ID,'Recession 75\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',      decomp_g_terms_75(5), decomp_g_terms_75(6), decomp_g_terms_75(7), decomp_g_terms_75(8),decomp_g_terms_75(9));
    fprintf(MFshock_ID,'Surplus  25\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',       decomp_s_terms_25(5), decomp_s_terms_25(6), decomp_s_terms_25(7), decomp_s_terms_25(8),decomp_s_terms_25(9));
    fprintf(MFshock_ID,'Surplus  75\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',       decomp_s_terms_75(5), decomp_s_terms_75(6), decomp_s_terms_75(7), decomp_s_terms_75(8),decomp_s_terms_75(9));
    fprintf(MFshock_ID,'Disc. Rate    25\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',  decomp_r_terms_25(5), decomp_r_terms_25(6), decomp_r_terms_25(7), decomp_r_terms_25(8),decomp_r_terms_25(9));
    fprintf(MFshock_ID,'Disc. Rate    75\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',  decomp_r_terms_75(5), decomp_r_terms_75(6), decomp_r_terms_75(7), decomp_r_terms_75(8),decomp_r_terms_75(9));
    fprintf(MFshock_ID,'Surplus, no i 25\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',       decomp_si_terms_25(5), decomp_si_terms_25(6), decomp_si_terms_25(7), decomp_si_terms_25(8),decomp_si_terms_25(9));
    fprintf(MFshock_ID,'Surplus, no i 75\\%% & %8.2f & -(%8.2f) &=& -(%8.2f) & -(%8.2f) & +(%8.2f) \\\\\n',       decomp_si_terms_75(5), decomp_si_terms_75(6), decomp_si_terms_75(7), decomp_si_terms_75(8),decomp_si_terms_75(9));

    fprintf(MFshock_ID,'\\hline\n');
    fprintf(MFshock_ID,'\\\\\n');
    fprintf(MFshock_ID,[' \\multicolumn{7}{c}{$ \\Delta E_{1}r_{1}^{n} =  '...
        '-\\sum_{j=1}^{\\infty}\\omega^{j}\\Delta E_{1} (r_{1+j}^{n}-\\pi_{1+j})'...
        '-\\sum_{j=1}^{\\infty}\\omega^{j}\\Delta E_{1}\\pi_{1+j} $} \\\\ \n']);
    fprintf(MFshock_ID,'   & $r^n$ &=& $r^n-\\pi$ & $ \\pi$ & &\\\\ \n');
    fprintf(MFshock_ID,' \\hline\n');

    fprintf(MFshock_ID,' Inflation 25\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',      decomp_terms_25(6),   decomp_terms_25(3),   decomp_terms_25(2)   );
    fprintf(MFshock_ID,' Inflation 75\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',      decomp_terms_75(6),   decomp_terms_75(3),   decomp_terms_75(2)   );
    if do_long_inflation;
        fprintf(MFshock_ID,' Long Inflation 25\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n', decomp_w_terms_25(6), decomp_w_terms_25(3), decomp_w_terms_25(2) );
        fprintf(MFshock_ID,' Long Inflation 75\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n', decomp_w_terms_75(6), decomp_w_terms_75(3), decomp_w_terms_75(2) );
    end
    fprintf(MFshock_ID,' Recession   25\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',    decomp_g_terms_25(6), decomp_g_terms_25(3), decomp_g_terms_25(2) );
    fprintf(MFshock_ID,' Recession   75\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',    decomp_g_terms_75(6), decomp_g_terms_75(3), decomp_g_terms_75(2) );
    fprintf(MFshock_ID,' Surplus     25\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',    decomp_s_terms_25(6), decomp_s_terms_25(3), decomp_s_terms_25(2) );
    fprintf(MFshock_ID,' Surplus     75\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',    decomp_s_terms_75(6), decomp_s_terms_75(3), decomp_s_terms_75(2) );
    fprintf(MFshock_ID,' Disc. Rate  25\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',    decomp_r_terms_25(6), decomp_r_terms_25(3), decomp_r_terms_25(2) );
    fprintf(MFshock_ID,' Disc. Rate  75\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',    decomp_r_terms_75(6), decomp_r_terms_75(3), decomp_r_terms_75(2) );
    fprintf(MFshock_ID,' Surplus, no i     25\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',    decomp_si_terms_25(6), decomp_si_terms_25(3), decomp_si_terms_25(2) );
    fprintf(MFshock_ID,' Surplus, no i     75\\%% & %8.2f &=& -(%8.2f) & -(%8.2f) &  &   \\\\\n',    decomp_si_terms_75(6), decomp_si_terms_75(3), decomp_si_terms_75(2) );
    fprintf(MFshock_ID,' \\hline \\\\ \n');
    %fprintf(MFshock_ID,' \\end{tabularx} \n');
    fprintf(MFshock_ID,' \\end{tabular} \n');
    fprintf(MFshock_ID,['\\caption{Monte Carlo quantiles of the inflation and bond return identities. \\label{MFshock_SE}}\n']);
    fprintf(MFshock_ID,'\\end{center}\n');
    fprintf(MFshock_ID,'\\end{table}\n');
end

if tex_files 
    if (stdate == 1947)|(stdate == 1930) | (stdate == 1980);
        fclose(MFshock_ID);
    end;
end;